Skip to content

Create song steps from the chart's sections

POST
/api/songs/{id}/steps/from-chart

A song still on its one default step gets that step renamed to the first section and the rest appended in play order; any other song gets a step for each section no step is named after yet. A repeated section is one shared step with a sequence slot per time it plays.

id
required

Song id

string
>= 1 characters

Song id

object
sections
required

The chart’s sections in play order, by label

Array<string>
>= 1 items <= 100 items

The steps and sequence slots written

object
ok
required
boolean
data
required
object
renamedStepId
required
string
nullable
createdStepIds
required
Array<string>
sequenceItemIds
required
Array<string>

Invalid input

object
ok
required
boolean
error
required
string
code
string

Unauthenticated

object
ok
required
boolean
error
required
string
code
string

Forbidden / no permission

object
ok
required
boolean
error
required
string
code
string

Song not found

object
ok
required
boolean
error
required
string
code
string

Server error

object
ok
required
boolean
error
required
string
code
string